﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TrabalhoLib.Excecoes;

public static class MetodosDeExtensao
{
    public static string FirstElement(this string[] array)
    {
        if (array.Length == 0)
        {
            throw new EmptyArrayException("Não existe nenhum elemento no array");
        }

        return array[0];

    }

    public static int FirstElement(this int[] array)
    {
        if (array.Length == 0)
        {
            throw new EmptyArrayException("Não existe nenhum elemento no array");
        }

        return array[0];

    }

    public static double ParsePercentageStringToDouble(this string percentagem)
    {
        percentagem = percentagem.Remove(percentagem.IndexOf('%'));

        double.TryParse(percentagem, out double per);

        return per;
    }

}
