﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TrabalhoLib.Classes.Relatorios
{
    public partial class RelatorioCandidatosEleitos
    {

        public RelatorioCandidatosEleitos()
        {
            this.ColigacaoSigla = new List<string>();
        }

        public List<RelatorioCandidatosEleitos> GetCandidatosEleitos(List<Candidato> candidatosEleitos)
        {

            int posicao = 1;

            List<RelatorioCandidatosEleitos> relatorioCandidatosEleitos = new List<RelatorioCandidatosEleitos>();

            RelatorioCandidatosEleitos rel = new RelatorioCandidatosEleitos();

            foreach (Candidato candidato in candidatosEleitos)
            {
                rel.Posicao = posicao++;
                rel.Nome = candidato.Nome;
                rel.Numero = candidato.Numero;
                rel.Sigla = candidato.Partido.Sigla;
                rel.QtdVotos = candidato.QtdVotos;

                if (candidato.Partido.Coligacao.Count != 0)
                {

                    foreach (Partido p in candidato.Partido.Coligacao)
                    {
                        rel.ColigacaoSigla.Add(p.Sigla);
                    }

                }

                relatorioCandidatosEleitos.Add(rel);

                rel = null;
                rel = new RelatorioCandidatosEleitos();

            }

            return relatorioCandidatosEleitos;

        }

    }
}
